package uniandes.cupi2.inscripcionCedulas.manejoArchivos;

import java.io.PrintWriter;

/**
 * Contrato de las clases que se pueden escribir en archivos de texto
 * @author alvar-go
 *
 */
public interface IReporteTextoInscripcion {

	/**
	 * Constante con la lnea punteada requerida en el archivo
	 */
	public final static String LINEA_PUNTEADA = "=======================================================";
	
	/**
	 * Escribe la informacin de la clase en el archivo de texto
	 * @param out el canal para escribir en el archivo de texto. out != null
	 */
	public void escribirInformacionReporte(PrintWriter out);
}
