package uniandes.cupi2.inscripcionCedulas.manejoArchivos;

import java.io.File;
import java.io.PrintWriter;

import uniandes.cupi2.inscripcionCedulas.excepciones.PersistenciaException;
import uniandes.cupi2.inscripcionCedulas.mundo.Departamento;
import uniandes.cupi2.inscripcionCedulas.mundo.Municipio;
import uniandes.cupi2.inscripcionCedulas.mundo.PuestoVotacion;

/**
 * Clase para generar reporte en formato txt
 * @author alvar-go
 *
 */
public class GeneradorReportePuestoTXT {

	/**
	 * Crea un reporte de texto del puesto que llega por parmetro
	 * @param departamento departamento al que pertenece el puesto. departamento != null
	 * @param municipio municipio al que pertenece el puesto. puesto != null
	 * @param puesto puesto del que se desea generar el reporte. puesto != null
	 * @param ruta ruta donde se guardar el reporte. ruta != null
	 * @throws PersistenciaException Se lanza en caso que no se pueda escribir el archivo
	 */
	public static void generarReportePuesto(Departamento departamento, Municipio municipio, PuestoVotacion puesto, String ruta)throws PersistenciaException
	{
		//TODO 12.A Complete el mtodo de acuerdo a la documentacin
		//		Si el archivo no existe este se debe crear
		//		Tenga en cuenta que los puestos ya saben guardar su informacin en un canal de escritura
		//		Si no se puede crear el archivo se lanza PersistenciaException

	}
}
