package uniandes.cupi2.inscripcionCedulas.manejoArchivos;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;

import uniandes.cupi2.inscripcionCedulas.excepciones.FormatoArchivoException;
import uniandes.cupi2.inscripcionCedulas.excepciones.PersistenciaException;
import uniandes.cupi2.inscripcionCedulas.mundo.Departamento;
import uniandes.cupi2.inscripcionCedulas.mundo.InscripcionCedulas;
import uniandes.cupi2.inscripcionCedulas.mundo.Municipio;

/**
 * Clase que permite interpretar el contenido del archivo CSV de puestos
 * @author alvar-go
 *
 */
public class InterpreteCSV {

	/**
	 * Separador de columnas de archivos CSV
	 */
	public final static String SEPARADOR = ";";
	
	/**
	 * Importa la informacin del archivo que llega porparmetro en el sistema que llega por parmetro
	 * post:	Se agregaron los departamentos, municipios y puestos del archivo al sistema
	 * @param ruta la ruta donde se encuentra el archivo. ruta != null
	 * @param ic el sistema donde se deben cargar los datos del archivo. ic != null
	 * @throws PersistenciaException Se lanza en caso que no se pueda leer el archivo
	 * @throws FormatoArchivoException Se lanza en caso que el formato del archivo no sea el esperado
	 */
	public static void importarCSV(String ruta, InscripcionCedulas ic)throws PersistenciaException, FormatoArchivoException
	{
		//TODO 9.A Lea el archivo csv y cargue los departamentos, municipios y puestos en el sistema ic
		//		Si el archivo tiene formato incorrecto lanza un FormatoArchivoException
		//		Si no se puede abrir o leer el archivo lanza una PersistenciaException
		//		Ayuda: Tenga en cuenta que la primera vez que lee un departamento lo debe crear de all en adelante lo debe buscar
		//				Lo mismo ocurre para municipios
		
		
	}
}
