package uniandes.cupi2.inscripcionCedulas.mundo;

/**
 * Enumeracin de generos que pueden tener los ciudadanos
 * @author alvar-gop
 *
 */
public enum Genero {

	MASCULINO ("Masculino"),
	FEMENINO ("Femenino");
	
	/**
	 * Nombre del gnero
	 */
	private String nombre;
	
	/**
	 * Crea un nuevo elemento de la enumeracin
	 * @param nNombre el nombre del genero. nNombre != null
	 */
	private Genero(String nNombre)
	{
		nombre = nNombre;
	}
	
	/**
	 * Devuelve el nombre del gnero
	 * @return nombre
	 */
	public String darNombre()
	{
		return nombre;
	}
	
	/**
	 * Devuelve la representacin en String del genero
	 * @return <nombre>
	 */
	public String toString()
	{
		return nombre;
	}
	
}
